curl --request GET \
--url https://api.gcore.com/cloud/v2/ai/clusters/{project_id}/{region_id}/{cluster_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v2/ai/clusters/{project_id}/{region_id}/{cluster_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/ai/clusters/{project_id}/{region_id}/{cluster_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cluster_id": "d1e1500b-e2be-40aa-9a4b-cc493fa1af30",
"cluster_name": "my-gpu-cluster",
"cluster_status": "ACTIVE",
"created_at": "2025-04-17 12:05:22.597284",
"creator_task_id": "d1e1500b-e2be-40aa-9a4b-cc493fa1af30",
"flavor": "bm3-ai-1xlarge-h100-80-8",
"image_id": "f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1",
"image_name": "ubuntu-22.04-x64-nvidia-a100/h100-550-12.4-eni",
"interfaces": [
{
"network_id": "024a29e9-b4b7-4c91-9a46-505be123d9f8",
"port_id": "2c5eae5b-f76a-4c23-98ff-c77bc0a8bab5",
"subnet_id": "91200a6c-07e0-42aa-98da-32d1f6545ae7",
"type": "<string>"
}
],
"password": "my-password",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"servers": [
{
"addresses": {},
"blackhole_ports": [
{
"AlarmEnd": "2025-02-05 12:04:30",
"AlarmStart": "2025-02-05 12:04:11",
"AlarmState": "alarm",
"AlertDuration": "2 hours",
"DestinationIP": "80.240.114.116",
"ID": 123
}
],
"created_at": "2023-11-29T10:56:49Z",
"creator_task_id": "<string>",
"ddos_profile": {
"fields": [
{
"base_field": 10,
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"field_value": 45046,
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
}
}
],
"id": 0,
"options": {
"active": true,
"bgp": true
},
"profile_template": {
"description": "description",
"fields": [
{
"default": null,
"description": "ARK server ports. Valid port values are in range 1000-65535",
"field_type": null,
"id": 11,
"name": "ARK Ports",
"required": true,
"validation_schema": {
"items": {
"maximum": 65535,
"minimum": 1000,
"type": "integer"
},
"minItems": 1,
"type": "array"
}
}
],
"id": 123,
"name": "ICMP port"
},
"profile_template_description": "ARK server ports. Valid port values are in range 1000-65535",
"protocols": [
{
"port": "80",
"protocols": [
"TCP",
"HTTP"
]
},
{
"port": "53",
"protocols": [
"UDP"
]
}
],
"site": "ED",
"status": {
"error_description": "",
"status": "Updated"
}
},
"fixed_ip_assignments": [
{
"external": true,
"ip_address": "123.123.123.1",
"subnet_id": "eaafdc3c-f48b-4eb4-826f-057dfc7d6476"
}
],
"flavor": {
"architecture": "x86_64",
"flavor_id": "g2-standard-32-64",
"flavor_name": "g2-standard-32-64",
"hardware_description": {
"cpu": "1x Intel Xeon 4C/8T 3.7 GHz",
"disk": "2x 250GiB SSD",
"gpu": "NVIDIA h100-8GPU (80GB)",
"license": "",
"network": "1x 500Mbps",
"ram": "32 GiB"
},
"os_type": "linux",
"ram": 2048,
"resource_class": "bm2-hf-medium",
"vcpus": 1
},
"id": "6c6aa80f-7836-4dc2-a2ae-125e248be476",
"instance_description": "Instance description",
"instance_isolation": {
"reason": "Suspicious activities"
},
"name": "my-server-1",
"project_id": 111,
"region": "Luxembourg",
"region_id": 4,
"security_groups": [
{
"name": "some_name"
}
],
"ssh_key_name": "my-ssh-key",
"status": "ACTIVE",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": null,
"task_state": "<string>",
"vm_state": "active"
}
],
"ssh_key_name": "my-ssh-key",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": "d1e1500b-e2be-40aa-9a4b-cc493fa1af30",
"task_status": "FINISHED",
"user_data": "<string>",
"username": "my-username"
}Get bare metal GPU cluster
Please use the /v3/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id} instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
GPU cluster ID
"faab46fd-26fd-4321-9876-abcdef012345"
Response
OK
GPU Cluster ID
"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"
GPU Cluster Name
"my-gpu-cluster"
GPU Cluster status
ACTIVE, CREATING, DEGRADED, DELETING, ERROR, NEW, REBOOTING, REBUILDING, RESIZING, SHUTOFF "ACTIVE"
Datetime when the cluster was created
"2025-04-17 12:05:22.597284"
Task that created this entity
"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"
Flavor ID is the same as the name
"bm3-ai-1xlarge-h100-80-8"
Image ID
"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"
Image name
"ubuntu-22.04-x64-nvidia-a100/h100-550-12.4-eni"
Networks managed by user and associated with the cluster
Show child attributes
Show child attributes
A password for a bare metal server. This parameter is used to set a password for the "Admin" user on a Windows instance, a default user or a new user on a Linux instance
"my-password"
Project ID
1337
Region name
"Luxembourg 1"
Region ID
7
GPU cluster servers
Show child attributes
Show child attributes
Keypair name to inject into new cluster(s)
"my-ssh-key"
List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Show child attributes
Show child attributes
[
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
]
Task ID associated with the cluster
"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"
Task status
CLUSTER_CLEAN_UP, CLUSTER_REBUILD, CLUSTER_RESIZE, CLUSTER_RESUME, CLUSTER_SERVER_REBUILD, CLUSTER_SUSPEND, ERROR, FINISHED, IPU_SERVERS, NETWORK, POPLAR_SERVERS, POST_DEPLOY_SETUP, VIPU_CONTROLLER "FINISHED"
String in base64 format. Must not be passed together with 'username' or 'password'. Examples of the user_data: https://cloudinit.readthedocs.io/en/latest/topics/examples.html
A name of a new user in the Linux instance. It may be passed with a 'password' parameter
"my-username"
Was this page helpful?